//Book.c
#include "Book.h"
#include <stdlib.h>
#include <string.h>
#include <stdio.h>
void Book_Book(Book *book, int bnum, const char *title, const char *author);
Book *New_Book(int bnum, const char *title, const char *author)
{
    Book *book = (Book *)malloc(sizeof(Book));
    Book_Book(book, bnum, title, author);
    return book;
}
void Book_Book(Book *book, int bnum, const char *title, const char *author)
{
    book->bnum = bnum;
    strcpy_s(book->title, MAX_TNAME_LEN, title);
    strcpy_s(book->author, MAX_ANAME_LEN, author);
}
void Delete_Book(Book *book)
{
    free(book);
}
void Book_View(Book *book)
{
    printf(":%s\n", book->title);
    printf("\t ȣ:%d ڸ:%s\n", book->bnum, book->author);
}
int Book_GetNum(Book *book)
{
    return book->bnum;
}
const char *Book_GetTitle(Book *book)
{
    return book->title;
}
void Book_Serialize(Book *book, FILE *fp)
{
    fwrite(book, sizeof(Book), 1, fp);
}
void Book_DeSerialize(Book *book,FILE * fp);
Book *New_Book2(FILE *fp)
{
    Book *book = 0;
    book = New_Book(0, "", "");
    Book_DeSerialize(book, fp);
    return book;
}
void Book_DeSerialize(Book *book, FILE * fp)
{
    fread(book, sizeof(Book), 1, fp);
}