//Genre.h
#pragma once
#include "EHArray.h"
#include "Book.h"
typedef struct _Genre Genre;
#define MAX_GNAME_LEN 20
struct _Genre
{
    char name[MAX_GNAME_LEN];
    int gnum;
    int last_bnum;
    EHArray *books;
};

Genre *New_Genre(int gnum, const char *gname);
void Delete_Genre(Genre *genre);
const char *Genre_GetName(Genre *genre);
void Genre_View(Genre *genre);
Book *Genre_AddBook(Genre *genre, const char *title, const char *author);
void Genre_ViewAll(Genre *genre);
Book *Genre_FindBookByNum(Genre *genre, int bnum);
Book *Genre_FindBookByTitle(Genre *genre, const char *title);
void Genre_Serialize(Genre *genre, FILE *fp);
Genre *New_Genre2(FILE *fp);